<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }
define("THEME_BULLET", "<span class='bullet'>&nbsp;</span>");
require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale,$userdata;
	
	//Header
	echo "<table cellpadding='0' cellspacing='0' class=\"header-wrapper\">\n<tr>\n";
 	echo "<td class=\"header-left\">&nbsp;</td>";
	echo "<td class=\"header-center\">".showbanners()."</td>";
 	echo "<td class=\"header-right\">&nbsp;</td>";
	echo "</tr>\n</table>\n";

	//Subheader
	echo "<table cellpadding='0' cellspacing='0' class=\"subheader-wrapper\">\n<tr>\n";
 	echo "<td class=\"subheader-left\">&nbsp;</td>";
	echo "<td class=\"subheader-center\">".showsublinks("","white")."</td>";
 	echo "<td class=\"subheader-right\">".showsubdate()."</td>";
	echo "</tr>\n</table>\n";
	
	//Content
	echo "<table cellpadding='0' cellspacing='0' class='content'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-panels-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-panels-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n</table>\n";

	//Footer
	echo "<table cellpadding='0' cellspacing='0' class=\"footer-wrapper\">\n<tr>\n";
	echo "<td class=\"footer-left\">&nbsp;</td>";
	echo "<td class=\"footer-fill\">&nbsp;</td>";
	echo "<td class=\"footer-center\">Theme by Voodoo | <a href=\"http://www.themes-den.com/\">Themes-Den.com</a><br/>".showcounter()."<br/>".stripslashes($settings['footer']).showcopyright()."</td>";
	echo "<td class=\"footer-fill\">&nbsp;</td>";
	echo "<td class=\"footer-right\">&nbsp;</td>";
	echo "</tr>\n</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"cap-left\">&nbsp;</td>";
	echo "<td class=\"cap-center\">".$subject."</td>\n";
	echo "<td class=\"cap-right\">&nbsp;</td>";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class=\"side-border-left\">&nbsp;</td>";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "<td class=\"side-border-right\">&nbsp;</td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"side-border-left\">&nbsp;</td>";
	echo "<td class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "<td class=\"side-border-right\">&nbsp;</td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"side-bottom-left\">&nbsp;</td>";
	echo "<td class=\"side-bottom-center\">&nbsp;</td>";
	echo "<td class=\"side-bottom-right\">&nbsp;</td>";
	echo "</tr>\n</table><br/>";

}

function render_article($subject, $article, $info) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0' width=\"100%\">\n<tr>\n";
	echo "<td class=\"cap-left\">&nbsp;</td>";
	echo "<td class=\"cap-center\">".$subject."</td>\n";
	echo "<td class=\"cap-right\">&nbsp;</td>";
	echo "</tr>\n</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0' class='spacer'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"side-bottom-left\">&nbsp;</td>";
	echo "<td class=\"side-bottom-center\">&nbsp;</td>";
	echo "<td class=\"side-bottom-right\">&nbsp;</td>";
	echo "</tr>\n</table><br/>";

}

function opentable($title) {

	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"cap-left\">&nbsp;</td>";
	echo "<td class=\"cap-center\">$title</td>\n";
	echo "<td class=\"cap-right\">&nbsp;</td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"side-border-left\">&nbsp;</td>";
	echo "<td class='main-body'>\n";

}

function closetable() {

	echo "</td>\n";
	echo "<td class=\"side-border-right\">&nbsp;</td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"side-bottom-left\">&nbsp;</td>";
	echo "<td class=\"side-bottom-center\">&nbsp;</td>";
	echo "<td class=\"side-bottom-right\">&nbsp;</td>";
	echo "</tr>\n</table><br/>";
}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"scap-left\">&nbsp;</td>";
	echo "<td class=\"scap-center\">$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='scap-center' align='right'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class=\"scap-right\">&nbsp;</td>";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"side-border-left\">&nbsp;</td>";
	echo "<td class=\"side-body\">\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	
	echo "</td>\n";
	echo "<td class=\"side-border-right\">&nbsp;</td>";
	echo "</tr>\n</table>";
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td class=\"side-bottom-left\">&nbsp;</td>";
	echo "<td class=\"side-bottom-center\">&nbsp;</td>";
	echo "<td class=\"side-bottom-right\">&nbsp;</td>";
	echo "</tr>\n</table><br/>";
}
?>
